#
# spec file for package qps
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           qps
Version:        1.10.17
Release:        lp150.1.3
Summary:        Visual Process Manager
License:        GPL-2.0+ AND LGPL-2.1+
Group:          System/Monitoring
Url:            https://github.com/QtDesktop/qps
Source0:        https://github.com/QtDesktop/qps/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  cmake >= 3.0.2
BuildRequires:  hicolor-icon-theme
BuildRequires:  libqt5-linguist-devel
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(xrender)

%description
Qps is a visual process manager, an X11 version of "top" or "ps" that
displays processes in a window and lets you sort and manipulate them. It
displays some general system information, and many details about current
processes.

%prep
%setup -q

%build
%cmake
make %{?_smp_mflags}

%install
%cmake_install
%suse_update_desktop_file -r %{name} System Monitor

%files
%doc CHANGELOG README.md
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_mandir}/man1/%{name}.1%{ext_man}

%changelog
* Sun Feb 25 2018 aloisio@gmx.com
- Update to version 1.10.17
  * some whitespaces fixed
  * l10n: Polish translation
  * Remove obsolete cpack
  * Removed not needed ressource file
  * some small fixes
  * Fixed About page
  * Fixed outdated FSF address in license headers
  * Removed: It may be used, distributed and modified without
    limitation. - not exactly true.
  * Added license headers
  * Fix typo
  * Fix license headers for files with clearly known authorship
  * remove some empty files
  * fixed encoding and added a proper GPL2 file header
  * Renamed LICENSE -> COPYING
  * Another set of licenseheader fixes
  * Fixed some typos in comments (CMakeLists.txt)
    Fixed licenseheader: src/wchan.cpp UTF-8 and filename
    Fixed licenseheader: src/watchdogdialog.*  filetype and UTF-8
    Fixed licenseheader: src/watchcond.*  UTF-8
    Fixed licenseheader: src/ttystr.cpp filentype and UTF-8
  * Work around grep 2.23 new behaviour
  * Removes not needed file
  * Fixes CPack package version
  * Fixes misnaming of binary qps
  * Use CMAKE PROJECT_NAME instead of PROJECT
  * Removes Icon related commented code
  * Removes the custom QtIconLoader
  * Use QIcon::fromTheme() instead of the internal QtIconLoader
  * Adds the resources as an target dependency
  * Puts TableField sctruct on it's own file
  * Puts the QpsApp in it's own file
  * Splits the command file into several files
  * Puts Command utilities into it's own file
  * Updates translations sources
  * Removes toolTip, statusTip, whatsThis and accesibleName from
    watchdog.ui
  * Removes stylesheets commented stuff
  * Include a copy of the license
  * Install application icon
  * Updates translation sources
  * Adds desktop entry file
  * Adds application internationalization / localization
  * Set the minimum required CMake version to 3.0.2
  * Add install instruction in CMakeLists.txt
  * Add clang-format file and format all files
- Switch build to cmake and Qt5
- New source URL and homepage
- Dropped qps-1.10.12.1-nostrip.patch and
  qps-1.10.15-desktop.patch (no longer necessary)
- Spec cleanup
* Thu Nov 24 2011 lazy.kent@opensuse.org
- Spec clean up.
* Sun Aug 28 2011 lazy.kent@opensuse.org
- Update to 1.10.16
  + 3.0-ARCH problem fixed
* Mon Aug 22 2011 lazy.kent@opensuse.org
- Patch to fix typo in desktop file (bnc#631745)
* Sun Jul 17 2011 lazy.kent@opensuse.org
- Update to 1.10.15
  + Added IO monitoring
* Wed Jul  6 2011 lazy.kent@opensuse.org
- Update to 1.10.14
  + Fixed wrong process names
* Sat Jun 18 2011 lazy.kent@opensuse.org
- Update to 1.10.13
  + GNOME3 and Avant Window Navigator support
- Correct License tag according to SPDX Standard
* Fri Jun  3 2011 lazy.kent@opensuse.org
- Update to 1.10.12.3
  + Zero CPU bug fixed (thanks to "David Rosenstrauch")
  + SEGFAULT fixed (Google Chrome's very long cmdline bug fix)
- Dropped obsolete buffer_overflow patch
- Use full URL as a source
* Mon Apr 11 2011 lazy.kent@opensuse.org
- Added rpm optflags
- Added COPYING
- Marked man as doc
* Tue Jul  6 2010 lazy.kent.suse@gmail.com
- Fixed buffer overflow (bnc#613864). Patch from Bernhard Rotter
- Build debug packages
* Tue Oct 20 2009 lazy.kent.suse@gmail.com
- Update to 1.10.12.1
  + 0 (zero) Process bug fixed (David_Rosenstrauch@archlinux)
* Thu Sep 17 2009 lazy.kent.suse@gmail.com
- Update to 1.10.12
  + Not working problem on kernel-2.6.xx was fixed
  + MEM field added
  + Tab on-off switch added
* Fri Aug  7 2009 lazy.kent.suse@gmail.com
- Update to 1.10.11
  + Window raise problem was fixed
  + IO_RW was added
  + Bugs was fixed (WCHAN, kernel warning.... etc)
* Sat Aug  1 2009 lazy.kent.suse@gmail.com
- Initial package created - 1.10.10
